[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| MultiArrayShape< N > Class Template Reference Multi-dimensional Shapes and Array Iterators |

`#include <vigra/multi_shape.hxx>`

## Public Types

typedef TinyVector< MultiArrayIndex, N > | type

## Detailed Description

### template<unsigned int N>
class vigra::MultiArrayShape< N >

Traits class for the difference type of all MultiIterator, MultiArrayView, and MultiArray variants.

## Member Typedef Documentation

typedef TinyVector<MultiArrayIndex, N> type

The difference type of all MultiIterator, MultiArrayView, and MultiArray variants.

The documentation for this class was generated from the following file:

- vigra/multi_shape.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0